#include <iostream>
using namespace std;

int main()
{
    int n , m, i, j;
    cin>> n>> m;
    string a[n][m];
    for(i = 0; i<n; i++)
    {
        for(j= 0; j<m; j++)
        {
            cin>> a[i][j];
        }
    }
    
   if(m<3 && n<3)
   {
        a[i+1][j] = 'C';
        a[i][j+1] = 'C';
        for(i = 0; i<n; i++)
    {
        for(j= 0; j<m; j++)
        {
            cout<< a[i][j];
        }
    }
   }
   else
   {
       cout<< -1;
   }
        
return 0;
}